<?php

namespace App\Policies;

use App\Models\User;

class PermissionPolicy
{
    public function viewAny(User $user): bool
    {
        return $user->isSuperAdmin() || $user->isAdminTU() || $user->hasPermissionTo('setting.manage');
    }

    public function update(User $user): bool
    {
        return $user->isSuperAdmin() || $user->hasPermissionTo('setting.manage');
    }
}
